# cli-cursor

> Toggle the CLI cursor

The cursor is [gracefully restored](https://github.com/sindresorhus/restore-cursor) if the process exits.

## Install

```
$ npm install cli-cursor
```

## Usage

```js
import cliCursor from 'cli-cursor';

cliCursor.hide();

const unicornsAreAwesome = true;
cliCursor.toggle(unicornsAreAwesome);
```

## API

### .show(stream?)

### .hide(stream?)

### .toggle(force?, stream?)

#### force

Useful for showing or hiding the cursor based on a boolean.

#### stream

Type: `stream.Writable`\
Default: `process.stderr`

---

		Get professional support for this package with a Tidelift subscription (https://tidelift.com/subscription/pkg/npm-cli-cursor?utm_source=npm-cli-cursor&utm_medium=referral&utm_campaign=readme)

		Tidelift helps make open source sustainable for maintainers while giving companies
assurances about security, maintenance, and licensing for their dependencies.

